Bug 20689 - checkpc not looking for kerberos libraries in /usr/kerberos/lib
checkpc not looking for kerberos libraries in /usr/kerberos/lib
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Depends On:
  Show dependency treegraph
Reported: 2000-11-11 19:08 EST by Ed Leaver
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-11 19:08:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Leaver 2000-11-11 19:08:56 EST
1. I updated RHL 6.2 to 7.0 and verified functionality, including networked
laserprinter configured as a remote printer using lpd through printtool.

2. I then updated 7.0 with all the recent bug-fix rpms thru Nov 10.

3. Shutdown system to change mounting bay of hard drive. On bootup
   get message from /usr/sbin/checkpc that is can't find shared library
   libkrb5.so.3, file does not exist, etc, and similar message from
   lpd (of course), which would not start because checkpc failed.

4. Quick fix:
   a. ln -s /usr/kerberos/lib/libkrb5.so.3     /usr/lib
   b. ln -s /usr/kerberos/lib/libkrb5.so       /usr/lib
   c. ln -s /usr/kerberos/lib/libk5crypto.so.3 /usr/lib
   d. ln -s /usr/kerberos/lib/libk5crypto.so   /usr/lib
   e. ln -s /usr/kerberos/lib/libcom_err.so.3  /usr/lib
   f. /etc/rc.d/init.d/lpd start

Verify lpd process & printer functionality, and I'm done. Note that
checkpc did not complain explicitly about (b) and (d), I added them "for
completeness". (e) was necessary, but since /usr/lib/libcom_err.so was
already linked to /lib/libcom_err.so.2, I left it alone.

I don't know what the "correct" fix for this is, I didn't know how to
make checkpc look in /usr/kerberos/lib directly, so I linked what it 
needed to where it was looking. However, RHL 6.2 keeps all its kerberos
libs in /usr/kerberos/lib, and seems to run okay (does 6.2 have a
checkpc?), as did RHL 7.0 before the bug patches.

Oh yeah. The dates & filesizes of what I've got is

-rwxr-xr-x    1 root     root     256892 Sep 25 10:53 /usr/sbin/checkpc
/usr/rc.d/init.d/lpd:               2277 Sep 25 10:53 /usr/rc.d/init.d/lpd
/usr/sbin/lpd:                    499036 Sep 25 10:53 /usr/sbin/lpd

Comment 1 Crutcher Dunnavant 2001-03-09 18:16:18 EST
pull the rawhide LPRng, this should be gone

Note You need to log in before you can comment on or make changes to this bug.